Bug 737480 - "Auto-join on connect" checkbox doesn't show check
Summary: "Auto-join on connect" checkbox doesn't show check
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xchat-gnome
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-12 09:20 UTC by Jens Petersen
Modified: 2014-03-17 03:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 17:30:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 658795 None None None Never

Description Jens Petersen 2011-09-12 09:20:52 UTC
Description of problem:
If I right-click on channel tab and click on "Auto-join on connect"
and right click again on channel tab, the "Auto-join on connect"
is still unchecked, though actually if I restart xchat-gnome
I will get auto-joined to the channel whether it was already
checked or not.

Version-Release number of selected component (if applicable):
xchat-gnome-0.26.2-2.git40c5bf988.fc15

How reproducible:
every time

Steps to Reproduce:
0. look in Network Preferences for auto-joined channels
1. right-click on channel tab
2. select "Auto-join on connect"
3. right-click on channel tab
4. click on "Auto-join on connect"
5. check again in Network Preferences for auto-joined channels
  
Actual results:
3. still not checked
5. channel listed twice

Expected results:
3. auto-join to be checked
5. channel not to be listed

Additional info:
I guess I should check gnome bugzilla for any similar report.

Comment 1 Jens Petersen 2011-09-12 09:24:53 UTC
(In reply to comment #0)
> I guess I should check gnome bugzilla for any similar report.

I couldn't see one here:
https://bugzilla.gnome.org/buglist.cgi?quicksearch=version%3A0.26.x+product%3A"xchat-gnome"

Comment 2 Jens Petersen 2011-09-12 09:32:01 UTC
As noted in the upstream bug I just filed this doesn't happen
with xchat-gnome-0.26.1 packages (eg for F14).

Comment 3 Fedora End Of Life 2012-08-07 17:30:19 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.